Page MenuHomePhabricator

Goal: Integrate the new Web APIs hub with mediawiki.org
Closed, ResolvedPublic

Description

Part of T101100: Engineering Community quarterly goals for July-September 2015

Result

Partially completed

New Web APIs hub is ready for 3rd party developers.

A process for contributing documentation exists.

BUT Blueprint skin available only in prototype, not mediawiki.org, due to lack of UX resources and community resistance.

  • @Spage (previously in Engineering Community) was on loan from Reading to work on this goal.
  • @Volker_E (Reading Design) went beyond call of duty volunteering many fixes to Blueprint skin.
  • Plan to keep writing documentation based on explicit needs from developers using our APIs.
  • UX refresh priority demoted as long as UX resources are not committed.

This task is closed as a quarterly goal. The open blockers will be pursued on their own priorities.

Previous description

The prototype on http://devhub.wmflabs.org/wiki/Dev:Data_and_developer_hub for T307: Announcing the Developer Hub prototype release is a short-term solution.

The goal is a coherent experience for third-party developers, whether entering from

It would help if T93610: Put WikimediaUI Style Guide on mediawiki.org was a priority for other teams, since it shares dependencies.

Measurement of success

  • New Developer Hub available in mediawiki.org with basic content and coherent user experience.
  • Community process to propose and contribute documentation.

Dependencies

  • Blueprint maintainers (Reading Design)
  • mediawiki.org community (fuzzy)

ETA

DevRel-September-2015

Relation with WMF Call to Action

EXPERIMENT: support innovation & new knowledge

Related Objects

StatusAssignedTask
ResolvedVolker_E
ResolvedNone
DeclinedNone
DeclinedNone
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
Resolved Spage
DeclinedNone
ResolvedPrtksxna
ResolvedPrtksxna
ResolvedPrtksxna
Resolved Spage
ResolvedJdlrobson
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedQgil
ResolvedVolker_E
Resolved violetto
ResolvedVolker_E
ResolvedVolker_E
DeclinedNone
ResolvedNone
ResolvedVolker_E
DeclinedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedPastakhov
ResolvedNone
ResolvedPastakhov
ResolvedNone
ResolvedVolker_E
ResolvedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedNone
DeclinedNone
ResolvedQgil
ResolvedDzahn
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedAklapper
Resolved Spage
Resolved Spage
ResolvedDannyH
Declined Spage
DeclinedNone
DeclinedNone
Resolved Spage
DeclinedNone

Event Timeline

Spage created this task.Jun 4 2015, 8:44 PM
Spage claimed this task.
Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added projects: Web-APIs-Hub, Epic.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 8:44 PM
Spage updated the task description. (Show Details)Jun 4 2015, 8:58 PM
Spage set Security to None.
Qgil renamed this task from integrate new Developer hub with mediawiki.org to Integrate new Developer hub with mediawiki.org.Jun 10 2015, 10:00 AM
Qgil triaged this task as Normal priority.
Qgil updated the task description. (Show Details)
Qgil updated the task description. (Show Details)
Qgil added subscribers: violetto, Volker_E, Prtksxna.
Qgil renamed this task from Integrate new Developer hub with mediawiki.org to Goal: Integrate new Developer hub with mediawiki.org.Jun 10 2015, 10:02 AM
Elitre added a subscriber: Elitre.Jun 26 2015, 9:07 PM
Spage moved this task from Backlog to Ready to Go on the ECT-July-2015 board.
Qgil renamed this task from Goal: Integrate new Developer hub with mediawiki.org to Goal: Integrate the new Web APIs hub with mediawiki.org.Aug 8 2015, 2:47 PM
Spage moved this task from Backlog to Doing on the ECT-August-2015 board.Aug 11 2015, 4:05 PM
Qgil added a subscriber: Qgil.

Tuesday 2015-09-01T18:00 UTC (11am San Francisco time) we will be having an IRC office hour about

If you're interested in developing with, documenting, or promoting MediaWiki/Wikimedia APIs, you should attend. I hope by having a realtime conversation we can come to a shared understanding faster.

Spage moved this task from Backlog to Doing on the DevRel-September-2015 board.Sep 1 2015, 4:20 PM
Qgil added a comment.Sep 28 2015, 1:25 PM

@Spage, one measurement of success of this goal is "Community process to propose and contribute documentation". I think you mentioned a wiki page for this, but I cannot find it.

@Spage, one measurement of success of this goal is "Community process to propose and contribute documentation". I think you mentioned a wiki page for this, but I cannot find it.

https://www.mediawiki.org/wiki/Web_APIs_hub/Contributing

Qgil closed this task as Resolved.Oct 1 2015, 1:38 PM
Qgil updated the task description. (Show Details)

This task is closed as a quarterly goal. The open blockers will be pursued on their own priorities. Check the updated description for details.